Syndai Docs

Delete an app's row

DELETE
/api/v1/external/coding/customers/{customer_id}/repositories/{coding_repository_id}/publication/data/{collection}/rows/{row_id}

Deletes one row through the app's rules, as its owner. 422 DATA_REFUSED carries the rule's message. Needs coding:apps:publish.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

customer_id*string
Formatuuid
coding_repository_id*string
Formatuuid
collection*string
Match^[A-Za-z0-9_-]{1,64}$
row_id*string
Length1 <= length <= 128

Response Body

Request fulfilled, nothing follows

Example Request
curl -X DELETE 'https://api.syndai.ai/api/v1/external/coding/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/publication/data/string/rows/string'
Example Response
Empty
Was this page helpful?